/*                                                                
**  Copyright (C) 2003,2007  Smithsonian Astrophysical Observatory 
*/                                                                
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 3 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License along */
/*  with this program; if not, write to the Free Software Foundation, Inc., */
/*  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.             */
/*                                                                          */

/* JCC(3/2003) - this file is copied from old hdrlib 'calc_key.h' */

#ifndef DS_CALC_HKEY_H
#define DS_CALC_HKEY_H

#include "dslib.h"

#define SECDAY2   86400			/* Seconds per day */

#define DATEOBS_F2   1         /* DATE-OBS flag */
#define DATEEND_F2   2         /* DATE-END flag */

typedef struct {
  long   MJDint ;
  double MJDfr ;
} MJDTime2 ;

/*  Externally referenced functions  */
void ds_calc_dateObsEnd( int dateObsEnd, double  startStop,
              char timeunit[DS_SZ_KEYWORD], double mjdREF_d,
              char date[DS_SZ_KEYWORD], int verbose) ;
void ds_ut2mjd ( double uttime, char timeunit[DS_SZ_KEYWORD], MJDTime2 mjdRef,
              MJDTime2 *outmjd, int verbose) ;
void ds_mjd2date(MJDTime2 *mjd, char *date ) ;
  
#endif      /* end DS_CALC_HKEY_H */
