/*                                                                
**  Copyright (C) 1999,2003,2007,2011  Smithsonian Astrophysical Observatory 
*/                                                                
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 3 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */
/*  GNU General Public License for more details.                            */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License along */
/*  with this program; if not, write to the Free Software Foundation, Inc., */
/*  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.             */
/*                                                                          */


#ifndef UPD_DATEOBS_KEYS_H
#define UPD_DATEOBS_KEYS_H



/* This file contains several functions for writing the header keywords of 
   DATE-OBS and DATE-END. These keywords must be calculated if the start and 
   stop times in the file are different from the ones stored in header 
   strucutre.*/


#ifndef DS_CALC_HKEY_H
#include "ds_calc_hkey.h"
#endif

#ifndef HDRLIB2_H
#include "hdrlib2.h"
#endif

/* this is internal */
extern dsErrBool updDateObs(dmBlock * outBlock,     /* i:block to upd */
			    double start,           /* i: new tstart */
			    double stop,            /* i: new  tstop */
			    char * timeunit,        /* i:time unit */
			    float mjdref,           /* i: reference time */
			    float timezero,         /* i:time zero */
			    char * file,            /* i:filename */
			    dsErrList * error_list); /* error list upd */

extern dsErrBool ds_upd_dateObs_hdr( dmBlock * outBlock, /* i:block to upd */
			       Header_Type *hdr,       /* i:ptr to hdr */
			       double tstart,          /* i:new tstart */
			       double tstop,           /* i:new tstop */
			       char * file,            /* filename */
			       dsErrList * error_list); /*error will be added*/


#endif
