// 
//  Copyright (C) 2003-2004,2006-2007,2011  Smithsonian Astrophysical Observatory
//
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along
//  with this program; if not, write to the Free Software Foundation, Inc.,
//  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//

/*--------------------------------------------------------------------
 * JCC(5/2003)-add DTCOR,ONTIME,LIVETIME,EXPOSURE to basic and event hdr 
 * JCC(6/2003)-add STARTMJF/MNF STOPMJF/MNF STARTOBT ASPTYPE to basic and event hdr
 * JCC(3/2004)-new key RAND_SKY/RAND_PI/RAND_TG for basic and event hdr
 *            -add DS_IDENT
 & 3/2011-DY_AVG,DZ_AVG,DTH_AVG
 *--------------------------------------------------------------------*/

#if 0
---------------------------------------------
(ALL)   :  set to 0 for the keys that are NOT defined in content.txt
           set to 1 for the keys that are DEFINED in content.txt
(NONE)  :  set to 0 for all keys

:::::: content.txt :::::::

(M_1) = m_1.h        :  m_image_primary_head.h    in content.txt 
(M_2) = m_2.h        :  m_null_primary_head.h   in content.txt
(M_3) = m_3.h        :  m_binary_table_extension.h   in content.txt
(M_4) = m_4.h        :  m_image_extension.h   in content.txt
(C_1) = cc_1.h       :  cc_full.h   in content.txt
(C_2) = cc_2.h       :  cc_short.h   in content.txt
(C_3) = cc_3.h       :  cc_null_primary.h   in content.txt
(T_1) = t_1.h        :  timing_full_level_0.h   in content.txt
(T_2) = t_2.h        :  timing_full_level_05_15.h   in content.txt
(T_3) = t_3.h        :  timing_full_level_2.h   in content.txt
(T_4) = t_4.h        :  timing_short.h   in content.txt
(O_1) = ob_1.h       :  observation_full.h   in content.txt
(O_2) = ob_2.h       :  observation_source_info_full.h   in content.txt
(O_3) = ob_3.h       :  observation_short.h   in content.txt
(O_4) = ob_4.h       :  observation_non_si.h   in content.txt

:::::: basic header ::::::
(C_b) = cc_bas.h     :  config_control component   from old basic hdr
(T_b) = tim_bas.h    :  timing component   from old basic hdr
(O_b) = ob_bas.h     :  observation component   from old basic hdr

:::::: event header ::::::
(C_e) = cc_evt.h     :  config_control component   from old event hdr
(T_e) = tim_evt.h    :  timing component   from old event hdr
(O_e) = ob_evt.h     :  observation component   from old event hdr

:::::: primary header ::::::
(C_p) = cc_pm.h      :  config_control component   from old primary hdr
(T_p) = tim_pm.h     :  timing component   from old primary hdr
(O_p) = ob_pm.h      :  observation component   from old primary hdr
---------------------------------------------
BASIC Keys that are NOT in content.txt  ::::

CTI_CORR
CYCLE
DEC_PNT    DEC_TARG     RA_PNT    RA_TARG    ROLL_PNT
DEFOCUS
FLSHTIME
OBI_NUM
READMODE
RAND_SKY RAND_PI RAND_TG
---------------------------------------------
EVENT Keys that are NOT in content.txt  ::::

CTI_CORR
CYCLE
DEC_PNT    DEC_TARG     RA_PNT    RA_TARG    ROLL_PNT
DEFOCUS
FLSHTIME
OBI_NUM
READMODE
RAND_SKY RAND_PI RAND_TG

ASPTYPE
SHYMINUS
SHYPLUS
TLM_FMT
---------------------------------------------
EVENT keys that are NOT in basic header ::::

( NOT found in content.txt as well)
ASPTYPE   ( add to basic 6/26/2003)
SHYMINUS
SHYPLUS
TLM_FMT

( found in content.txt )
STARTMJF   ( add to basic 6/26/2003)
STARTMNF   ( add to basic 6/26/2003)
STARTOBT   ( add to basic 6/26/2003)
STOPMJF   ( add to basic 6/26/2003)
STOPMNF   ( add to basic 6/26/2003)
---------------------------------------------
(5/2003) belong to both event and basic headers

( found in content.txt )
DTCOR
EXPOSURE
LIVETIME
ONTIME
---------------------------------------------
TLMVER is taken out of basic header because basic hdr will
always set flag to 0 even the key is found in input file.
---------------------------------------------
CONTENT HDUDOC HDUNAME HDUSPEC do not belong to 
event and basic hdrs.
---------------------------------------------
HDUVERS does not belong to evt and basic hdrs
---------------------------------------------

  1              2   3   4   5   6   7   8   9  10  11  12  13  14  15  16  17  18  19  20  21  22  23  24  25
 25            24   23  22  21  20  19  18  17  16  15  14  13  12  11  10  9   8   7   6   5   4   3   2   1
keywords       C_b T_b O_b C_e T_e O_e C_p T_p O_p O_4 O_3 O_2 O_1 T_4 T_3 T_2 T_1 C_3 C_2 C_1 M_4 M_3 M_2 M_1
--------       --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- --- ---

#endif

#ifndef HDR_STATUS_H
#define HDR_STATUS_H

/*---------------
 *    status
 *--------------*/
#define   BASIC_STS         	    ((BASIC_STATUS_T) 0x00E00000)
#define   EVENT_STS         	    ((BASIC_STATUS_T) 0x001C0000)
#define   PRIMARY_STS         	    ((BASIC_STATUS_T) 0x00038000)
#define   ALL_STS         	    ((BASIC_STATUS_T) 0x00FFFFFF)
#define   NONE_STS         	    ((BASIC_STATUS_T) 0x00000000)
#define   C_b_STS         	    ((BASIC_STATUS_T) 0x00800000)
#define   T_b_STS         	    ((BASIC_STATUS_T) 0x00400000)
#define   O_b_STS         	    ((BASIC_STATUS_T) 0x00200000)
#define   C_e_STS         	    ((BASIC_STATUS_T) 0x00100000)
#define   T_e_STS         	    ((BASIC_STATUS_T) 0x00080000)
#define   O_e_STS         	    ((BASIC_STATUS_T) 0x00040000)
#define   C_p_STS         	    ((BASIC_STATUS_T) 0x00020000)
#define   T_p_STS         	    ((BASIC_STATUS_T) 0x00010000)
#define   O_p_STS         	    ((BASIC_STATUS_T) 0x00008000)
#define   O_4_STS         	    ((BASIC_STATUS_T) 0x00004000)
#define   O_3_STS         	    ((BASIC_STATUS_T) 0x00002000)
#define   O_2_STS         	    ((BASIC_STATUS_T) 0x00001000)
#define   O_1_STS         	    ((BASIC_STATUS_T) 0x00000800)
#define   T_4_STS         	    ((BASIC_STATUS_T) 0x00000400)
#define   T_3_STS         	    ((BASIC_STATUS_T) 0x00000200)
#define   T_2_STS         	    ((BASIC_STATUS_T) 0x00000100)
#define   T_1_STS         	    ((BASIC_STATUS_T) 0x00000080)
#define   C_3_STS         	    ((BASIC_STATUS_T) 0x00000040)
#define   C_2_STS         	    ((BASIC_STATUS_T) 0x00000020)
#define   C_1_STS         	    ((BASIC_STATUS_T) 0x00000010)
#define   M_4_STS         	    ((BASIC_STATUS_T) 0x00000008)
#define   M_3_STS         	    ((BASIC_STATUS_T) 0x00000004)
#define   M_2_STS         	    ((BASIC_STATUS_T) 0x00000002)
#define   M_1_STS         	    ((BASIC_STATUS_T) 0x00000001)
#define   ASCDSVER_STS         	    ((BASIC_STATUS_T) 0x00900010)
#define   ASPTYPE_STS         	    ((BASIC_STATUS_T) 0x00240000)
#define   BITPIX_STS         	    ((BASIC_STATUS_T) 0x0000000F)
#define   BTIMCORR_STS         	    ((BASIC_STATUS_T) 0x00480180)
#define   BTIMDRFT_STS         	    ((BASIC_STATUS_T) 0x00480180)
#define   BTIMNULL_STS         	    ((BASIC_STATUS_T) 0x00480180)
#define   BTIMRATE_STS         	    ((BASIC_STATUS_T) 0x00480180)
#define   CHECKSUM_STS         	    ((BASIC_STATUS_T) 0x00920070)
#define   CLOCKAPP_STS         	    ((BASIC_STATUS_T) 0x00490780)
#define   CONTENT_STS         	    ((BASIC_STATUS_T) 0x00000030)
#define   CREATOR_STS         	    ((BASIC_STATUS_T) 0x00920070)
#define   FP_TEMP_STS         	    ((BASIC_STATUS_T) 0x00240000)
#define   CTI_APP_STS         	    ((BASIC_STATUS_T) 0x00240000)
#define   CTI_CORR_STS         	    ((BASIC_STATUS_T) 0x00240000)
#define   CYCLE_STS         	    ((BASIC_STATUS_T) 0x00240000)
#define   DATACLAS_STS         	    ((BASIC_STATUS_T) 0x00240800)
#define   DATAMODE_STS         	    ((BASIC_STATUS_T) 0x00240800)
#define   DATASUM_STS         	    ((BASIC_STATUS_T) 0x00920070)
#define   DATE_STS         	    ((BASIC_STATUS_T) 0x00490780)
#define   DATE_END_STS         	    ((BASIC_STATUS_T) 0x00490780)
#define   DATE_OBS_STS         	    ((BASIC_STATUS_T) 0x00490780)
#define   DEC_NOM_STS         	    ((BASIC_STATUS_T) 0x00241000)
#define   DEC_PNT_STS         	    ((BASIC_STATUS_T) 0x00240000)
#define   DEC_TARG_STS         	    ((BASIC_STATUS_T) 0x00240000)
#define   DEFOCUS_STS         	    ((BASIC_STATUS_T) 0x00240000)
#define   DETNAM_STS         	    ((BASIC_STATUS_T) 0x00240800)
#define   DTCOR_STS         	    ((BASIC_STATUS_T) 0x00240800)
#define   END_STS         	    ((BASIC_STATUS_T) 0x0000000F)
#define   EQUINOX_STS         	    ((BASIC_STATUS_T) 0x00241000)
#define   EXPOSURE_STS         	    ((BASIC_STATUS_T) 0x00240800)
#define   EXTEND_STS         	    ((BASIC_STATUS_T) 0x00000003)
#define   EXTNAME_STS         	    ((BASIC_STATUS_T) 0x0000000C)
#define   EXTVER_STS         	    ((BASIC_STATUS_T) 0x0000000C)
#define   FLSHTIME_STS         	    ((BASIC_STATUS_T) 0x00480000)
#define   FOC_LEN_STS         	    ((BASIC_STATUS_T) 0x00240800)
#define   GCOUNT_STS         	    ((BASIC_STATUS_T) 0x0000000C)
#define   GRATING_STS         	    ((BASIC_STATUS_T) 0x00240800)
#define   HDUCLAS1_STS         	    ((BASIC_STATUS_T) 0x00900030)
#define   HDUCLAS2_STS         	    ((BASIC_STATUS_T) 0x00900030)
#define   HDUCLAS3_STS         	    ((BASIC_STATUS_T) 0x00900030)
#define   HDUCLASS_STS         	    ((BASIC_STATUS_T) 0x00900030)
#define   HDUDOC_STS         	    ((BASIC_STATUS_T) 0x00000030)
#define   HDUNAME_STS         	    ((BASIC_STATUS_T) 0x00000030)
#define   HDUSPEC_STS         	    ((BASIC_STATUS_T) 0x00000010)
#define   HDUVERS_STS         	    ((BASIC_STATUS_T) 0x00000030)
#define   INSTRUME_STS         	    ((BASIC_STATUS_T) 0x0024E800)
#define   LIVETIME_STS         	    ((BASIC_STATUS_T) 0x00240800)
#define   LONGSTRN_STS         	    ((BASIC_STATUS_T) 0x00000010)
#define   MISSION_STS         	    ((BASIC_STATUS_T) 0x0024E800)
#define   MJD_OBS_STS               ((BASIC_STATUS_T) 0x00490780)   /*same as DATE_OBS*/
#define   MJDREF_STS         	    ((BASIC_STATUS_T) 0x00490780)
#define   NAXIS_STS         	    ((BASIC_STATUS_T) 0x0000000F)
#define   NAXIS1_STS         	    ((BASIC_STATUS_T) 0x0000000D)
#define   NAXIS2_STS         	    ((BASIC_STATUS_T) 0x0000000D)
#define   OBI_NUM_STS         	    ((BASIC_STATUS_T) 0x00248000)
#define   OBJECT_STS         	    ((BASIC_STATUS_T) 0x00241000)
#define   OBSERVER_STS         	    ((BASIC_STATUS_T) 0x00240800)
#define   OBS_ID_STS         	    ((BASIC_STATUS_T) 0x0024A800)
#define   DS_IDENT_STS       	    ((BASIC_STATUS_T) 0x0024A800)
#define   OBS_MODE_STS         	    ((BASIC_STATUS_T) 0x00240800)
#define   ONTIME_STS         	    ((BASIC_STATUS_T) 0x00240800)
#define   ORIGIN_STS         	    ((BASIC_STATUS_T) 0x00920070)
#define   PCOUNT_STS         	    ((BASIC_STATUS_T) 0x0000000C)
#define   RADECSYS_STS         	    ((BASIC_STATUS_T) 0x00241000)
#define   RA_NOM_STS         	    ((BASIC_STATUS_T) 0x00241000)
#define   RA_PNT_STS         	    ((BASIC_STATUS_T) 0x00240000)
#define   RA_TARG_STS         	    ((BASIC_STATUS_T) 0x00240000)
#define   RAND_SKY_STS         	    ((BASIC_STATUS_T) 0x00240000)
#define   RAND_PI_STS         	    ((BASIC_STATUS_T) 0x00240000)
#define   RAND_TG_STS         	    ((BASIC_STATUS_T) 0x00240000)
#define   READMODE_STS         	    ((BASIC_STATUS_T) 0x00240000)
#define   REVISION_STS         	    ((BASIC_STATUS_T) 0x00900010)
#define   ROLL_NOM_STS         	    ((BASIC_STATUS_T) 0x00241000)
#define   ROLL_PNT_STS         	    ((BASIC_STATUS_T) 0x00240000)
#define   SEQ_NUM_STS         	    ((BASIC_STATUS_T) 0x0024A800)
#define   SHYMINUS_STS         	    ((BASIC_STATUS_T) 0x00040000)
#define   SHYPLUS_STS         	    ((BASIC_STATUS_T) 0x00040000)
#define   SIMPLE_STS         	    ((BASIC_STATUS_T) 0x00000003)
#define   SIM_X_STS         	    ((BASIC_STATUS_T) 0x00240800)
#define   SIM_Y_STS         	    ((BASIC_STATUS_T) 0x00240800)
#define   SIM_Z_STS         	    ((BASIC_STATUS_T) 0x00240800)
#define   DY_AVG_STS         	    ((BASIC_STATUS_T) 0x00240800)
#define   DZ_AVG_STS         	    ((BASIC_STATUS_T) 0x00240800)
#define   DTH_AVG_STS         	    ((BASIC_STATUS_T) 0x00240800)
#define   STARTMJF_STS         	    ((BASIC_STATUS_T) 0x00480080)
#define   STARTMNF_STS         	    ((BASIC_STATUS_T) 0x00480080)
#define   STARTOBT_STS         	    ((BASIC_STATUS_T) 0x00480080)
#define   STOPMJF_STS         	    ((BASIC_STATUS_T) 0x00480080)
#define   STOPMNF_STS         	    ((BASIC_STATUS_T) 0x00480080)
#define   TASSIGN_STS         	    ((BASIC_STATUS_T) 0x00480380)
#define   TELESCOP_STS         	    ((BASIC_STATUS_T) 0x0024E800)
#define   TFIELDS_STS         	    ((BASIC_STATUS_T) 0x00000004)
#define   TIERABSO_STS         	    ((BASIC_STATUS_T) 0x00480380)
#define   TIERRELA_STS         	    ((BASIC_STATUS_T) 0x00480380)
#define   TIMEDEL_STS         	    ((BASIC_STATUS_T) 0x00480380)
#define   TIMEPIXR_STS         	    ((BASIC_STATUS_T) 0x00480380)
#define   TIMEREF_STS         	    ((BASIC_STATUS_T) 0x00480380)
#define   TIMESYS_STS         	    ((BASIC_STATUS_T) 0x00490780)
#define   TIMEUNIT_STS         	    ((BASIC_STATUS_T) 0x00490780)
#define   TIMEZERO_STS         	    ((BASIC_STATUS_T) 0x00490780)
#define   TIMVERSN_STS         	    ((BASIC_STATUS_T) 0x00480380)
#define   TITLE_STS         	    ((BASIC_STATUS_T) 0x00240800)
#define   TLM_FMT_STS         	    ((BASIC_STATUS_T) 0x00040000)
#define   TLMVER_STS         	    ((BASIC_STATUS_T) 0x00100010)
#define   TSTART_STS         	    ((BASIC_STATUS_T) 0x00490780)
#define   TSTOP_STS         	    ((BASIC_STATUS_T) 0x00490780)
#define   XTENSION_STS         	    ((BASIC_STATUS_T) 0x0000000C)

#define   NONSI_STS       ((BASIC_STATUS_T) C_b_STS|T_b_STS|O_4_STS) 

#endif
